PCI_DEV_GET(9)

NAME
pci_dev_get - increments the reference count of the pci device structure

SYNOPSIS

struct pci_dev * pci_dev_get(struct pci_dev * dev);

ARGUMENTS

dev
    the device being referenced

DESCRIPTION

Each live reference to a device should be refcounted.

Drivers for PCI devices should normally record such references in their probe methods, when they bind to a device, and release them by calling pci_dev_put, in their disconnect methods.

A pointer to the device with the incremented reference counter is returned.

COPYRIGHT